Path parameters
marketIdstringpathrequiredEngine market id (read endpoints do not accept a slug unless that endpoint says otherwise)
orderIdstringpathrequiredServer-generated order id (returned in the 202 place-order response)
Query parameters
minCursorstringqueryoptionalRead-your-writes continuation point (pass the cursor from the 202 place-order response verbatim). While the projection has not caught up this query returns 404, indistinguishable from "the resource does not exist" — poll with the same cursor.
Response
200Current order stateorderIdstringServer-generated order id
marketIdstringThe market this order belongs to
outcomeYES | NOSettlement outcome
sideBUY | SELLOrder side
priceE4integerLimit price (1e-4 USD)
sizeE2int64Order size (1e-2 shares)
filledE2int64Filled size (1e-2 shares)
statusOPEN | PARTIAL | FILLED | CANCELLEDOPEN = resting; PARTIAL = partially filled; FILLED = fully filled; CANCELLED = cancelled
reasonstringnullableTerminal state or rejection reason (nullable)
Switch status codes in the response example to view errors. For all codes, see the Errors page.
